package com.willalp.control.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;

/**
 * 控制日志对象 hs_control_log
 *
 * @author willalp
 * @date 2022-03-11
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("hs_control_log")
public class HsControlLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String controlLogId;

    /** 执行口ID */
    @Excel(name = "执行口ID")
    private String useNoId;

    /** 使用描述（如：开，关） */
    @Excel(name = "使用描述", readConverterExp = "如=：开，关")
    private String useDescribe;

    /** 是否删除（0.未删除；1.已删除） */
    private Integer isDelete;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("controlLogId", getControlLogId())
            .append("useNoId", getUseNoId())
            .append("useDescribe", getUseDescribe())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
